| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Genfun::GaudiMathImplementation::Adapter3DoubleFunction Class Reference

`#include <GaudiMath/Adapters.h>`

List of all members.

## Detailed Description

constructor from the trivial function with two argument

      double func( const double , const double , const double ) ;

      const AbsFuction& fun = Adapter2DoubleFunction( fun ) ;

      // evaluate the fuinction in point (1,2,3):
      Argument arg(3) ;
      arg[0] = 1 ;
      arg[1] = 2 ;
      arg[2] = 3 ;

      double value = fun( arg ) ;

Parameters:

  | func | pointer to trivial function

Author:
  Kirill Miklyaev kirillm@iris1.itep.ru

  Vanya BELYAEV Ivan.Belyaev@itep.ru

Date:
  2003-08-03

Definition at line 154 of file FunAdapters.h.

## Public Types
typedef double(*) | Function (const double, const double, const double)
| the actual type of the function "to be adapted"
## Public Member Functions
| FUNCTION_OBJECT_DEF (Adapter3DoubleFunction)
| mandatory macro from CLHEP/GenericFunctions
| Adapter3DoubleFunction (Function func)
| constructor
| Adapter3DoubleFunction (const Adapter3DoubleFunction &)
| copy coinstructor
virtual | ~Adapter3DoubleFunction ()
| virtual destructor
virtual double | operator() (double x) const
virtual double | operator() (const Argument &x) const
virtual unsigned int | dimensionality () const
virtual bool | hasAnalyticDerivative () const
| Does this function have an analytic derivative?
virtual Genfun::Derivative | partial (unsigned int i) const
| Derivatives.
double | operator() (const double x, const double y, const double z) const
## Private Member Functions
| Adapter3DoubleFunction ()
Adapter3DoubleFunction & | operator= (const Adapter3DoubleFunction &)
## Private Attributes
Function | m_func

## Member Typedef Documentation

typedef double(*) Genfun::GaudiMathImplementation::Adapter3DoubleFunction::Function(const double, const double, const double)

the actual type of the function "to be adapted"

Definition at line 158 of file FunAdapters.h.

## Constructor & Destructor Documentation

Genfun::GaudiMathImplementation::Adapter3DoubleFunction::Adapter3DoubleFunction | ( | Function | func | ) |

constructor

Definition at line 104 of file Adapter.cpp.

    00105       : AbsFunction (       )
    00106       , m_func      ( func  )
    00107     {}

Genfun::GaudiMathImplementation::Adapter3DoubleFunction::Adapter3DoubleFunction | ( | const Adapter3DoubleFunction & |  | ) |

copy coinstructor

Definition at line 110 of file Adapter.cpp.

    00111       : AbsFunction (              )
    00112       , m_func      ( right.m_func )
    00113     {} ;

Genfun::GaudiMathImplementation::Adapter3DoubleFunction::~Adapter3DoubleFunction | ( |  | ) | `[virtual]`

virtual destructor

Definition at line 115 of file Adapter.cpp.

    00115 {};

Genfun::GaudiMathImplementation::Adapter3DoubleFunction::Adapter3DoubleFunction | ( |  | ) | `[private]`

## Member Function Documentation

Genfun::GaudiMathImplementation::Adapter3DoubleFunction::FUNCTION_OBJECT_DEF | ( | Adapter3DoubleFunction |  | ) |

mandatory macro from CLHEP/GenericFunctions

double Genfun::GaudiMathImplementation::Adapter3DoubleFunction::operator() | ( | double | x | ) | const`[virtual]`

Definition at line 118 of file Adapter.cpp.

    00119     { return m_func ( x , 0 , 0 ) ; } ;

virtual double Genfun::GaudiMathImplementation::Adapter3DoubleFunction::operator() | ( | const Argument & | x | ) | const`[virtual]`

virtual unsigned int Genfun::GaudiMathImplementation::Adapter3DoubleFunction::dimensionality | ( |  | ) | const`[inline, virtual]`

Definition at line 176 of file FunAdapters.h.

    00176 { return 3    ; }

virtual bool Genfun::GaudiMathImplementation::Adapter3DoubleFunction::hasAnalyticDerivative | ( |  | ) | const`[inline, virtual]`

Does this function have an analytic derivative?

Definition at line 178 of file FunAdapters.h.

    00178 { return true ; }

Genfun::Derivative Genfun::GaudiMathImplementation::Adapter3DoubleFunction::partial | ( | unsigned int | i | ) | const`[virtual]`

Derivatives.

Definition at line 132 of file Adapter.cpp.

    00133     {
    00134       if ( i >= 3  )
    00135       {
    00136         const AbsFunction& aux = GaudiMath::Constant( 0 , 3 ) ;
    00137         return Genfun::FunctionNoop( &aux ) ;
    00138       };
    00139       const AbsFunction& aux = GaudiMath::Derivative( *this , i ) ;
    00140       return Genfun::FunctionNoop ( &aux ) ;
    00141     };

double Genfun::GaudiMathImplementation::Adapter3DoubleFunction::operator() | ( | const double | x,
|  | const double | y,
|  | const double | z |
| ) |  |  | const

Definition at line 126 of file Adapter.cpp.

    00129     { return m_func ( x , y , z ) ; } ;

Adapter3DoubleFunction& Genfun::GaudiMathImplementation::Adapter3DoubleFunction::operator= | ( | const Adapter3DoubleFunction & |  | ) | `[private]`

## Member Data Documentation

Function Genfun::GaudiMathImplementation::Adapter3DoubleFunction::m_func`[private]`

Definition at line 191 of file FunAdapters.h.

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiGSL/v6r9/GaudiMath/FunAdapters.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiGSL/v6r9/src/Lib/Adapter.cpp